/**
 * The class Light models the abstraction Light.
 */
class Light {
  // Field variables
  int numOfWatts;       // wattage
  boolean indicator;    // off == false, on == true
  String location;      // where the light is located

  /** Method to turn on the light */
  void switchOn() {
    indicator = true;
    System.out.println("Light in location " + location + " is on.");
  }
  /** Method to turn off the light */
  void switchOff() {
    indicator = false;
    System.out.println("Light in location " + location + " is off.");
  }
  /** Method to find out if the light is on or not. */
  boolean isOn() {
    return indicator;
  }

  /** Default Constructor */
  Light() {                  // 1: The explicit default constructor
    numOfWatts = 0;
    indicator  = false;
    location   = "X";
  }
  Light(int watt, boolean ind) {             // 2: A non-default constructor
    numOfWatts = watt;
    indicator  = ind;
  }
  Light(int watt, boolean ind, String loc) { // 3: A non-default constructor
    numOfWatts = watt;
    indicator  = ind;
    location   = loc;
  }

  /** Method to set the location of the light */
  void setLocation(String loc) {
    location = loc;
  }
  double cost(int numOfHours) {
    // Local variables
    double kWh_price = 0.35;        // cents per kiloWatt hour
    double price = (numOfWatts * numOfHours/ 1000.0)* kWh_price;
    return price;
  }

  // Static variable
  static int counter;

  // Static methods
  static void incrCounter() {
    ++counter;
  }
  static int getCounter() {
    return counter;
  }
}
